Created

Embed URL

HTTPS clone URL

SSH clone URL

You can clone with HTTPS or SSH.

Download Gist

GCC 4.9 installation in Docker container

View docker_gcc-4.9.md
$ sudo docker pull ubuntu
$ sudo docker  run -t -i ubuntu:14.04 /bin/bash
root@856b6aa801af:/# apt-get update
Ign http://archive.ubuntu.com trusty InRelease
Ign http://archive.ubuntu.com trusty-updates InRelease
Ign http://archive.ubuntu.com trusty-security InRelease
Get:1 http://archive.ubuntu.com trusty Release.gpg [933 B]
Get:2 http://archive.ubuntu.com trusty-updates Release.gpg [933 B]
Get:3 http://archive.ubuntu.com trusty-security Release.gpg [933 B]
Get:4 http://archive.ubuntu.com trusty Release [58.5 kB]
Get:5 http://archive.ubuntu.com trusty-updates Release [58.5 kB]
Get:6 http://archive.ubuntu.com trusty-security Release [58.5 kB]
Get:7 http://archive.ubuntu.com trusty/main Sources [1064 kB]
Get:8 http://archive.ubuntu.com trusty/restricted Sources [5433 B]                                                                              
Get:9 http://archive.ubuntu.com trusty/universe Sources [6399 kB]                                                                               
Get:10 http://archive.ubuntu.com trusty/main amd64 Packages [1350 kB]                                                                           
Get:11 http://archive.ubuntu.com trusty/restricted amd64 Packages [13.0 kB]                                                                     
Get:12 http://archive.ubuntu.com trusty/universe amd64 Packages [5859 kB]                                                                       
Get:13 http://archive.ubuntu.com trusty-updates/main Sources [25.3 kB]                                                                          
Get:14 http://archive.ubuntu.com trusty-updates/restricted Sources [14 B]                                                                       
Get:15 http://archive.ubuntu.com trusty-updates/universe Sources [15.9 kB]                                                                      
Get:16 http://archive.ubuntu.com trusty-updates/main amd64 Packages [64.1 kB]                                                                   
Get:17 http://archive.ubuntu.com trusty-updates/restricted amd64 Packages [14 B]                                                                
Get:18 http://archive.ubuntu.com trusty-updates/universe amd64 Packages [37.4 kB]                                                               
Get:19 http://archive.ubuntu.com trusty-security/main Sources [12.0 kB]                                                                         
Get:20 http://archive.ubuntu.com trusty-security/restricted Sources [14 B]                                                                      
Get:21 http://archive.ubuntu.com trusty-security/universe Sources [1785 B]                                                                      
Get:22 http://archive.ubuntu.com trusty-security/main amd64 Packages [37.9 kB]                                                                  
Get:23 http://archive.ubuntu.com trusty-security/restricted amd64 Packages [14 B]                                                               
Get:24 http://archive.ubuntu.com trusty-security/universe amd64 Packages [9525 B]                                                               
Fetched 15.1 MB in 34s (432 kB/s)                                                                                                               
Reading package lists... Done
root@856b6aa801af:/#
root@856b6aa801af:/#
root@856b6aa801af:/#
root@856b6aa801af:/#
root@856b6aa801af:/# apt-get install -y software-properties-common
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  ca-certificates gir1.2-glib-2.0 iso-codes krb5-locales libasn1-8-heimdal libcurl3-gnutls libdbus-glib-1-2 libgirepository-1.0-1 libglib2.0-0
  libglib2.0-data libgssapi-krb5-2 libgssapi3-heimdal libhcrypto4-heimdal libheimbase1-heimdal libheimntlm0-heimdal libhx509-5-heimdal libidn11
  libk5crypto3 libkeyutils1 libkrb5-26-heimdal libkrb5-3 libkrb5support0 libldap-2.4-2 libroken18-heimdal librtmp0 libsasl2-2 libsasl2-modules
  libsasl2-modules-db libwind0-heimdal libxml2 openssl python-apt-common python3-apt python3-dbus python3-gi python3-pycurl
  python3-software-properties sgml-base shared-mime-info unattended-upgrades xml-core xz-utils
Suggested packages:
  isoquery krb5-doc krb5-user libsasl2-modules-otp libsasl2-modules-ldap libsasl2-modules-sql libsasl2-modules-gssapi-mit
  libsasl2-modules-gssapi-heimdal python3-apt-dbg python-apt-doc python-dbus-doc python3-dbus-dbg libcurl4-gnutls-dev python3-pycurl-dbg
  sgml-base-doc bsd-mailx mail-transport-agent debhelper
The following NEW packages will be installed:
  ca-certificates gir1.2-glib-2.0 iso-codes krb5-locales libasn1-8-heimdal libcurl3-gnutls libdbus-glib-1-2 libgirepository-1.0-1 libglib2.0-0
  libglib2.0-data libgssapi-krb5-2 libgssapi3-heimdal libhcrypto4-heimdal libheimbase1-heimdal libheimntlm0-heimdal libhx509-5-heimdal libidn11
  libk5crypto3 libkeyutils1 libkrb5-26-heimdal libkrb5-3 libkrb5support0 libldap-2.4-2 libroken18-heimdal librtmp0 libsasl2-2 libsasl2-modules
  libsasl2-modules-db libwind0-heimdal libxml2 openssl python-apt-common python3-apt python3-dbus python3-gi python3-pycurl
  python3-software-properties sgml-base shared-mime-info software-properties-common unattended-upgrades xml-core xz-utils
0 upgraded, 43 newly installed, 0 to remove and 5 not upgraded.
Need to get 7661 kB of archives.
After this operation, 42.0 MB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu/ trusty/main libroken18-heimdal amd64 1.6~git20131207+dfsg-1ubuntu1 [40.0 kB]
Get:2 http://archive.ubuntu.com/ubuntu/ trusty/main libasn1-8-heimdal amd64 1.6~git20131207+dfsg-1ubuntu1 [160 kB]
Get:3 http://archive.ubuntu.com/ubuntu/ trusty/main libkrb5support0 amd64 1.12+dfsg-2ubuntu4 [29.5 kB]
Get:4 http://archive.ubuntu.com/ubuntu/ trusty/main libk5crypto3 amd64 1.12+dfsg-2ubuntu4 [79.5 kB]
Get:5 http://archive.ubuntu.com/ubuntu/ trusty/main libkeyutils1 amd64 1.5.6-1 [7318 B]
Get:6 http://archive.ubuntu.com/ubuntu/ trusty/main libkrb5-3 amd64 1.12+dfsg-2ubuntu4 [262 kB]
Get:7 http://archive.ubuntu.com/ubuntu/ trusty/main libgssapi-krb5-2 amd64 1.12+dfsg-2ubuntu4 [113 kB]
Get:8 http://archive.ubuntu.com/ubuntu/ trusty/main libidn11 amd64 1.28-1ubuntu2 [93.0 kB]
Get:9 http://archive.ubuntu.com/ubuntu/ trusty/main libhcrypto4-heimdal amd64 1.6~git20131207+dfsg-1ubuntu1 [84.0 kB]
Get:10 http://archive.ubuntu.com/ubuntu/ trusty/main libheimbase1-heimdal amd64 1.6~git20131207+dfsg-1ubuntu1 [29.0 kB]
Get:11 http://archive.ubuntu.com/ubuntu/ trusty/main libwind0-heimdal amd64 1.6~git20131207+dfsg-1ubuntu1 [47.8 kB]
Get:12 http://archive.ubuntu.com/ubuntu/ trusty/main libhx509-5-heimdal amd64 1.6~git20131207+dfsg-1ubuntu1 [104 kB]
Get:13 http://archive.ubuntu.com/ubuntu/ trusty/main libkrb5-26-heimdal amd64 1.6~git20131207+dfsg-1ubuntu1 [197 kB]                            
Get:14 http://archive.ubuntu.com/ubuntu/ trusty/main libheimntlm0-heimdal amd64 1.6~git20131207+dfsg-1ubuntu1 [15.2 kB]                         
Get:15 http://archive.ubuntu.com/ubuntu/ trusty/main libgssapi3-heimdal amd64 1.6~git20131207+dfsg-1ubuntu1 [90.1 kB]                           
Get:16 http://archive.ubuntu.com/ubuntu/ trusty/main libsasl2-modules-db amd64 2.1.25.dfsg1-17build1 [14.9 kB]                                  
Get:17 http://archive.ubuntu.com/ubuntu/ trusty/main libsasl2-2 amd64 2.1.25.dfsg1-17build1 [56.5 kB]                                           
Get:18 http://archive.ubuntu.com/ubuntu/ trusty/main libldap-2.4-2 amd64 2.4.31-1+nmu2ubuntu8 [154 kB]                                          
Get:19 http://archive.ubuntu.com/ubuntu/ trusty/main librtmp0 amd64 2.4+20121230.gitdf6c518-1 [57.5 kB]                                         
Get:20 http://archive.ubuntu.com/ubuntu/ trusty/main libcurl3-gnutls amd64 7.35.0-1ubuntu2 [165 kB]                                             
Get:21 http://archive.ubuntu.com/ubuntu/ trusty/main libglib2.0-0 amd64 2.40.0-2 [1057 kB]                                                      
Get:22 http://archive.ubuntu.com/ubuntu/ trusty/main libdbus-glib-1-2 amd64 0.100.2-1 [74.1 kB]                                                 
Get:23 http://archive.ubuntu.com/ubuntu/ trusty/main libxml2 amd64 2.9.1+dfsg1-3ubuntu4 [571 kB]                                                
Get:24 http://archive.ubuntu.com/ubuntu/ trusty/main sgml-base all 1.26+nmu4ubuntu1 [12.5 kB]                                                   
Get:25 http://archive.ubuntu.com/ubuntu/ trusty-updates/main openssl amd64 1.0.1f-1ubuntu2.1 [489 kB]                                           
Get:26 http://archive.ubuntu.com/ubuntu/ trusty/main ca-certificates all 20130906ubuntu2 [175 kB]                                               
Get:27 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libgirepository-1.0-1 amd64 1.40.0-1ubuntu0.1 [85.5 kB]                            
Get:28 http://archive.ubuntu.com/ubuntu/ trusty-updates/main gir1.2-glib-2.0 amd64 1.40.0-1ubuntu0.1 [124 kB]                                   
Get:29 http://archive.ubuntu.com/ubuntu/ trusty/main iso-codes all 3.52-1 [2073 kB]                                                             
Get:30 http://archive.ubuntu.com/ubuntu/ trusty/main krb5-locales all 1.12+dfsg-2ubuntu4 [12.3 kB]                                              
Get:31 http://archive.ubuntu.com/ubuntu/ trusty/main libglib2.0-data all 2.40.0-2 [116 kB]                                                      
Get:32 http://archive.ubuntu.com/ubuntu/ trusty/main libsasl2-modules amd64 2.1.25.dfsg1-17build1 [64.3 kB]                                     
Get:33 http://archive.ubuntu.com/ubuntu/ trusty/main python-apt-common all 0.9.3.5 [17.3 kB]                                                    
Get:34 http://archive.ubuntu.com/ubuntu/ trusty/main python3-apt amd64 0.9.3.5 [139 kB]                                                         
Get:35 http://archive.ubuntu.com/ubuntu/ trusty/main python3-dbus amd64 1.2.0-2build2 [82.1 kB]                                                 
Get:36 http://archive.ubuntu.com/ubuntu/ trusty/main python3-gi amd64 3.12.0-1 [154 kB]                                                         
Get:37 http://archive.ubuntu.com/ubuntu/ trusty/main shared-mime-info amd64 1.2-0ubuntu3 [415 kB]                                               
Get:38 http://archive.ubuntu.com/ubuntu/ trusty/main xml-core all 0.13+nmu2 [23.3 kB]                                                           
Get:39 http://archive.ubuntu.com/ubuntu/ trusty/main python3-pycurl amd64 7.19.3-0ubuntu3 [47.5 kB]                                             
Get:40 http://archive.ubuntu.com/ubuntu/ trusty/main xz-utils amd64 5.1.1alpha+20120614-2ubuntu2 [78.8 kB]                                      
Get:41 http://archive.ubuntu.com/ubuntu/ trusty/main unattended-upgrades all 0.82.1ubuntu2 [25.5 kB]                                            
Get:42 http://archive.ubuntu.com/ubuntu/ trusty-updates/main python3-software-properties all 0.92.37 [19.4 kB]                                  
Get:43 http://archive.ubuntu.com/ubuntu/ trusty-updates/main software-properties-common all 0.92.37 [9344 B]                                    
Fetched 7661 kB in 42s (179 kB/s)                                                                                                               
Extracting templates from packages: 100%
Preconfiguring packages ...
Selecting previously unselected package libroken18-heimdal:amd64.
(Reading database ... 11518 files and directories currently installed.)
Preparing to unpack .../libroken18-heimdal_1.6~git20131207+dfsg-1ubuntu1_amd64.deb ...
Unpacking libroken18-heimdal:amd64 (1.6~git20131207+dfsg-1ubuntu1) ...
Selecting previously unselected package libasn1-8-heimdal:amd64.
Preparing to unpack .../libasn1-8-heimdal_1.6~git20131207+dfsg-1ubuntu1_amd64.deb ...
Unpacking libasn1-8-heimdal:amd64 (1.6~git20131207+dfsg-1ubuntu1) ...
Selecting previously unselected package libkrb5support0:amd64.
Preparing to unpack .../libkrb5support0_1.12+dfsg-2ubuntu4_amd64.deb ...
Unpacking libkrb5support0:amd64 (1.12+dfsg-2ubuntu4) ...
Selecting previously unselected package libk5crypto3:amd64.
Preparing to unpack .../libk5crypto3_1.12+dfsg-2ubuntu4_amd64.deb ...
Unpacking libk5crypto3:amd64 (1.12+dfsg-2ubuntu4) ...
Selecting previously unselected package libkeyutils1:amd64.
Preparing to unpack .../libkeyutils1_1.5.6-1_amd64.deb ...
Unpacking libkeyutils1:amd64 (1.5.6-1) ...
Selecting previously unselected package libkrb5-3:amd64.
Preparing to unpack .../libkrb5-3_1.12+dfsg-2ubuntu4_amd64.deb ...
Unpacking libkrb5-3:amd64 (1.12+dfsg-2ubuntu4) ...
Selecting previously unselected package libgssapi-krb5-2:amd64.
Preparing to unpack .../libgssapi-krb5-2_1.12+dfsg-2ubuntu4_amd64.deb ...
Unpacking libgssapi-krb5-2:amd64 (1.12+dfsg-2ubuntu4) ...
Selecting previously unselected package libidn11:amd64.
Preparing to unpack .../libidn11_1.28-1ubuntu2_amd64.deb ...
Unpacking libidn11:amd64 (1.28-1ubuntu2) ...
Selecting previously unselected package libhcrypto4-heimdal:amd64.
Preparing to unpack .../libhcrypto4-heimdal_1.6~git20131207+dfsg-1ubuntu1_amd64.deb ...
Unpacking libhcrypto4-heimdal:amd64 (1.6~git20131207+dfsg-1ubuntu1) ...
Selecting previously unselected package libheimbase1-heimdal:amd64.
Preparing to unpack .../libheimbase1-heimdal_1.6~git20131207+dfsg-1ubuntu1_amd64.deb ...
Unpacking libheimbase1-heimdal:amd64 (1.6~git20131207+dfsg-1ubuntu1) ...
Selecting previously unselected package libwind0-heimdal:amd64.
Preparing to unpack .../libwind0-heimdal_1.6~git20131207+dfsg-1ubuntu1_amd64.deb ...
Unpacking libwind0-heimdal:amd64 (1.6~git20131207+dfsg-1ubuntu1) ...
Selecting previously unselected package libhx509-5-heimdal:amd64.
Preparing to unpack .../libhx509-5-heimdal_1.6~git20131207+dfsg-1ubuntu1_amd64.deb ...
Unpacking libhx509-5-heimdal:amd64 (1.6~git20131207+dfsg-1ubuntu1) ...
Selecting previously unselected package libkrb5-26-heimdal:amd64.
Preparing to unpack .../libkrb5-26-heimdal_1.6~git20131207+dfsg-1ubuntu1_amd64.deb ...
Unpacking libkrb5-26-heimdal:amd64 (1.6~git20131207+dfsg-1ubuntu1) ...
Selecting previously unselected package libheimntlm0-heimdal:amd64.
Preparing to unpack .../libheimntlm0-heimdal_1.6~git20131207+dfsg-1ubuntu1_amd64.deb ...
Unpacking libheimntlm0-heimdal:amd64 (1.6~git20131207+dfsg-1ubuntu1) ...
Selecting previously unselected package libgssapi3-heimdal:amd64.
Preparing to unpack .../libgssapi3-heimdal_1.6~git20131207+dfsg-1ubuntu1_amd64.deb ...
Unpacking libgssapi3-heimdal:amd64 (1.6~git20131207+dfsg-1ubuntu1) ...
Selecting previously unselected package libsasl2-modules-db:amd64.
Preparing to unpack .../libsasl2-modules-db_2.1.25.dfsg1-17build1_amd64.deb ...
Unpacking libsasl2-modules-db:amd64 (2.1.25.dfsg1-17build1) ...
Selecting previously unselected package libsasl2-2:amd64.
Preparing to unpack .../libsasl2-2_2.1.25.dfsg1-17build1_amd64.deb ...
Unpacking libsasl2-2:amd64 (2.1.25.dfsg1-17build1) ...
Selecting previously unselected package libldap-2.4-2:amd64.
Preparing to unpack .../libldap-2.4-2_2.4.31-1+nmu2ubuntu8_amd64.deb ...
Unpacking libldap-2.4-2:amd64 (2.4.31-1+nmu2ubuntu8) ...
Selecting previously unselected package librtmp0:amd64.
Preparing to unpack .../librtmp0_2.4+20121230.gitdf6c518-1_amd64.deb ...
Unpacking librtmp0:amd64 (2.4+20121230.gitdf6c518-1) ...
Selecting previously unselected package libcurl3-gnutls:amd64.
Preparing to unpack .../libcurl3-gnutls_7.35.0-1ubuntu2_amd64.deb ...
Unpacking libcurl3-gnutls:amd64 (7.35.0-1ubuntu2) ...
Selecting previously unselected package libglib2.0-0:amd64.
Preparing to unpack .../libglib2.0-0_2.40.0-2_amd64.deb ...
Unpacking libglib2.0-0:amd64 (2.40.0-2) ...
Selecting previously unselected package libdbus-glib-1-2:amd64.
Preparing to unpack .../libdbus-glib-1-2_0.100.2-1_amd64.deb ...
Unpacking libdbus-glib-1-2:amd64 (0.100.2-1) ...
Selecting previously unselected package libxml2:amd64.
Preparing to unpack .../libxml2_2.9.1+dfsg1-3ubuntu4_amd64.deb ...
Unpacking libxml2:amd64 (2.9.1+dfsg1-3ubuntu4) ...
Selecting previously unselected package sgml-base.
Preparing to unpack .../sgml-base_1.26+nmu4ubuntu1_all.deb ...
Unpacking sgml-base (1.26+nmu4ubuntu1) ...
Selecting previously unselected package openssl.
Preparing to unpack .../openssl_1.0.1f-1ubuntu2.1_amd64.deb ...
Unpacking openssl (1.0.1f-1ubuntu2.1) ...
Selecting previously unselected package ca-certificates.
Preparing to unpack .../ca-certificates_20130906ubuntu2_all.deb ...
Unpacking ca-certificates (20130906ubuntu2) ...
Selecting previously unselected package libgirepository-1.0-1.
Preparing to unpack .../libgirepository-1.0-1_1.40.0-1ubuntu0.1_amd64.deb ...
Unpacking libgirepository-1.0-1 (1.40.0-1ubuntu0.1) ...
Selecting previously unselected package gir1.2-glib-2.0.
Preparing to unpack .../gir1.2-glib-2.0_1.40.0-1ubuntu0.1_amd64.deb ...
Unpacking gir1.2-glib-2.0 (1.40.0-1ubuntu0.1) ...
Selecting previously unselected package iso-codes.
Preparing to unpack .../iso-codes_3.52-1_all.deb ...
Unpacking iso-codes (3.52-1) ...
Selecting previously unselected package krb5-locales.
Preparing to unpack .../krb5-locales_1.12+dfsg-2ubuntu4_all.deb ...
Unpacking krb5-locales (1.12+dfsg-2ubuntu4) ...
Selecting previously unselected package libglib2.0-data.
Preparing to unpack .../libglib2.0-data_2.40.0-2_all.deb ...
Unpacking libglib2.0-data (2.40.0-2) ...
Selecting previously unselected package libsasl2-modules:amd64.
Preparing to unpack .../libsasl2-modules_2.1.25.dfsg1-17build1_amd64.deb ...
Unpacking libsasl2-modules:amd64 (2.1.25.dfsg1-17build1) ...
Selecting previously unselected package python-apt-common.
Preparing to unpack .../python-apt-common_0.9.3.5_all.deb ...
Unpacking python-apt-common (0.9.3.5) ...
Selecting previously unselected package python3-apt.
Preparing to unpack .../python3-apt_0.9.3.5_amd64.deb ...
Unpacking python3-apt (0.9.3.5) ...
Selecting previously unselected package python3-dbus.
Preparing to unpack .../python3-dbus_1.2.0-2build2_amd64.deb ...
Unpacking python3-dbus (1.2.0-2build2) ...
Selecting previously unselected package python3-gi.
Preparing to unpack .../python3-gi_3.12.0-1_amd64.deb ...
Unpacking python3-gi (3.12.0-1) ...
Selecting previously unselected package shared-mime-info.
Preparing to unpack .../shared-mime-info_1.2-0ubuntu3_amd64.deb ...
Unpacking shared-mime-info (1.2-0ubuntu3) ...
Selecting previously unselected package xml-core.
Preparing to unpack .../xml-core_0.13+nmu2_all.deb ...
Unpacking xml-core (0.13+nmu2) ...
Selecting previously unselected package python3-pycurl.
Preparing to unpack .../python3-pycurl_7.19.3-0ubuntu3_amd64.deb ...
Unpacking python3-pycurl (7.19.3-0ubuntu3) ...
Selecting previously unselected package xz-utils.
Preparing to unpack .../xz-utils_5.1.1alpha+20120614-2ubuntu2_amd64.deb ...
Unpacking xz-utils (5.1.1alpha+20120614-2ubuntu2) ...
Selecting previously unselected package unattended-upgrades.
Preparing to unpack .../unattended-upgrades_0.82.1ubuntu2_all.deb ...
Unpacking unattended-upgrades (0.82.1ubuntu2) ...
Selecting previously unselected package python3-software-properties.
Preparing to unpack .../python3-software-properties_0.92.37_all.deb ...
Unpacking python3-software-properties (0.92.37) ...
Selecting previously unselected package software-properties-common.
Preparing to unpack .../software-properties-common_0.92.37_all.deb ...
Unpacking software-properties-common (0.92.37) ...
Processing triggers for ureadahead (0.100.0-16) ...
Setting up libroken18-heimdal:amd64 (1.6~git20131207+dfsg-1ubuntu1) ...
Setting up libasn1-8-heimdal:amd64 (1.6~git20131207+dfsg-1ubuntu1) ...
Setting up libkrb5support0:amd64 (1.12+dfsg-2ubuntu4) ...
Setting up libk5crypto3:amd64 (1.12+dfsg-2ubuntu4) ...
Setting up libkeyutils1:amd64 (1.5.6-1) ...
Setting up libkrb5-3:amd64 (1.12+dfsg-2ubuntu4) ...
Setting up libgssapi-krb5-2:amd64 (1.12+dfsg-2ubuntu4) ...
Setting up libidn11:amd64 (1.28-1ubuntu2) ...
Setting up libhcrypto4-heimdal:amd64 (1.6~git20131207+dfsg-1ubuntu1) ...
Setting up libheimbase1-heimdal:amd64 (1.6~git20131207+dfsg-1ubuntu1) ...
Setting up libwind0-heimdal:amd64 (1.6~git20131207+dfsg-1ubuntu1) ...
Setting up libhx509-5-heimdal:amd64 (1.6~git20131207+dfsg-1ubuntu1) ...
Setting up libkrb5-26-heimdal:amd64 (1.6~git20131207+dfsg-1ubuntu1) ...
Setting up libheimntlm0-heimdal:amd64 (1.6~git20131207+dfsg-1ubuntu1) ...
Setting up libgssapi3-heimdal:amd64 (1.6~git20131207+dfsg-1ubuntu1) ...
Setting up libsasl2-modules-db:amd64 (2.1.25.dfsg1-17build1) ...
Setting up libsasl2-2:amd64 (2.1.25.dfsg1-17build1) ...
Setting up libldap-2.4-2:amd64 (2.4.31-1+nmu2ubuntu8) ...
Setting up librtmp0:amd64 (2.4+20121230.gitdf6c518-1) ...
Setting up libcurl3-gnutls:amd64 (7.35.0-1ubuntu2) ...
Setting up libglib2.0-0:amd64 (2.40.0-2) ...
No schema files found: doing nothing.
Setting up libdbus-glib-1-2:amd64 (0.100.2-1) ...
Setting up libxml2:amd64 (2.9.1+dfsg1-3ubuntu4) ...
Setting up sgml-base (1.26+nmu4ubuntu1) ...
Setting up openssl (1.0.1f-1ubuntu2.1) ...
Setting up ca-certificates (20130906ubuntu2) ...
Setting up libgirepository-1.0-1 (1.40.0-1ubuntu0.1) ...
Setting up gir1.2-glib-2.0 (1.40.0-1ubuntu0.1) ...
Setting up iso-codes (3.52-1) ...
Setting up krb5-locales (1.12+dfsg-2ubuntu4) ...
Setting up libglib2.0-data (2.40.0-2) ...
Setting up libsasl2-modules:amd64 (2.1.25.dfsg1-17build1) ...
Setting up python-apt-common (0.9.3.5) ...
Setting up python3-apt (0.9.3.5) ...
Setting up python3-dbus (1.2.0-2build2) ...
Setting up python3-gi (3.12.0-1) ...
Setting up shared-mime-info (1.2-0ubuntu3) ...
Setting up xml-core (0.13+nmu2) ...
Setting up python3-pycurl (7.19.3-0ubuntu3) ...
Setting up xz-utils (5.1.1alpha+20120614-2ubuntu2) ...
update-alternatives: using /usr/bin/xz to provide /usr/bin/lzma (lzma) in auto mode
Setting up unattended-upgrades (0.82.1ubuntu2) ...
Processing triggers for ureadahead (0.100.0-16) ...
Setting up python3-software-properties (0.92.37) ...
Setting up software-properties-common (0.92.37) ...
Processing triggers for libc-bin (2.19-0ubuntu6) ...
Processing triggers for ca-certificates (20130906ubuntu2) ...
Updating certificates in /etc/ssl/certs... 164 added, 0 removed; done.
Running hooks in /etc/ca-certificates/update.d....done.
Processing triggers for sgml-base (1.26+nmu4ubuntu1) ...
root@856b6aa801af:/#
root@856b6aa801af:/#
root@856b6aa801af:/#
root@856b6aa801af:/#
root@856b6aa801af:/# add-apt-repository -y ppa:ubuntu-toolchain-r/test
gpg: keyring `/tmp/tmpjw8zv0tr/secring.gpg' created
gpg: keyring `/tmp/tmpjw8zv0tr/pubring.gpg' created
gpg: requesting key BA9EF27F from hkp server keyserver.ubuntu.com
gpg: /tmp/tmpjw8zv0tr/trustdb.gpg: trustdb created
gpg: key BA9EF27F: public key "Launchpad Toolchain builds" imported
gpg: Total number processed: 1
gpg:               imported: 1  (RSA: 1)
OK
root@856b6aa801af:/#
root@856b6aa801af:/#
root@856b6aa801af:/#
root@856b6aa801af:/#
root@856b6aa801af:/# apt-get update
Ign http://ppa.launchpad.net trusty InRelease
Get:1 http://ppa.launchpad.net trusty Release.gpg [316 B]
Ign http://archive.ubuntu.com trusty InRelease            
Get:2 http://ppa.launchpad.net trusty Release [14.0 kB]
Ign http://archive.ubuntu.com trusty-updates InRelease 
Ign http://archive.ubuntu.com trusty-security InRelease
Get:3 http://ppa.launchpad.net trusty/main amd64 Packages [22.5 kB]
Hit http://archive.ubuntu.com trusty Release.gpg        
Hit http://archive.ubuntu.com trusty-updates Release.gpg
Hit http://archive.ubuntu.com trusty-security Release.gpg
Hit http://archive.ubuntu.com trusty Release     
Hit http://archive.ubuntu.com trusty-updates Release
Hit http://archive.ubuntu.com trusty-security Release
Hit http://archive.ubuntu.com trusty/main Sources
Hit http://archive.ubuntu.com trusty/restricted Sources
Hit http://archive.ubuntu.com trusty/universe Sources
Hit http://archive.ubuntu.com trusty/main amd64 Packages
Hit http://archive.ubuntu.com trusty/restricted amd64 Packages
Hit http://archive.ubuntu.com trusty/universe amd64 Packages
Hit http://archive.ubuntu.com trusty-updates/main Sources
Hit http://archive.ubuntu.com trusty-updates/restricted Sources
Hit http://archive.ubuntu.com trusty-updates/universe Sources
Hit http://archive.ubuntu.com trusty-updates/main amd64 Packages
Hit http://archive.ubuntu.com trusty-updates/restricted amd64 Packages
Hit http://archive.ubuntu.com trusty-updates/universe amd64 Packages
Hit http://archive.ubuntu.com trusty-security/main Sources
Hit http://archive.ubuntu.com trusty-security/restricted Sources                                                                                
Hit http://archive.ubuntu.com trusty-security/universe Sources                                                                                  
Hit http://archive.ubuntu.com trusty-security/main amd64 Packages                                                                               
Hit http://archive.ubuntu.com trusty-security/restricted amd64 Packages                                                                         
Hit http://archive.ubuntu.com trusty-security/universe amd64 Packages                                                                           
Fetched 36.9 kB in 6s (5284 B/s)                                                                                                                
Reading package lists... Done
root@856b6aa801af:/#
root@856b6aa801af:/#
root@856b6aa801af:/#
root@856b6aa801af:/#
root@856b6aa801af:/#
root@856b6aa801af:/# apt-get install g++-4.9
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  binutils cpp-4.9 gcc-4.9 gcc-4.9-base libasan1 libatomic1 libc-dev-bin libc6-dev libcilkrts5 libcloog-isl4 libgcc-4.9-dev libgcc1 libgmp10
  libgomp1 libisl10 libitm1 liblsan0 libmpc3 libmpfr4 libquadmath0 libstdc++-4.9-dev libstdc++6 libtsan0 libubsan0 libvtv0 linux-libc-dev
  manpages manpages-dev
Suggested packages:
  binutils-doc gcc-4.9-locales g++-4.9-multilib gcc-4.9-doc libstdc++6-4.9-dbg gcc-4.9-multilib libgcc1-dbg libgomp1-dbg libitm1-dbg
  libatomic1-dbg libasan1-dbg liblsan0-dbg libtsan0-dbg libubsan0-dbg libvtv0-dbg libcilkrts5-dbg libquadmath0-dbg binutils-gold glibc-doc
  libstdc++-4.9-doc man-browser
Recommended packages:
  gcc c-compiler
The following NEW packages will be installed:
  binutils cpp-4.9 g++-4.9 gcc-4.9 libasan1 libatomic1 libc-dev-bin libc6-dev libcilkrts5 libcloog-isl4 libgcc-4.9-dev libgmp10 libgomp1
  libisl10 libitm1 liblsan0 libmpc3 libmpfr4 libquadmath0 libstdc++-4.9-dev libtsan0 libubsan0 libvtv0 linux-libc-dev manpages manpages-dev
The following packages will be upgraded:
  gcc-4.9-base libgcc1 libstdc++6
3 upgraded, 26 newly installed, 0 to remove and 5 not upgraded.
Need to get 31.2 MB of archives.
After this operation, 116 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu/ trusty/main gcc-4.9-base amd64 4.9-20140406-1ubuntu1 [15.1 kB]
Get:2 http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu/ trusty/main libgcc1 amd64 1:4.9-20140406-1ubuntu1 [39.2 kB]
Get:3 http://archive.ubuntu.com/ubuntu/ trusty/main libgmp10 amd64 2:5.1.3+dfsg-1ubuntu1 [218 kB]
Get:4 http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu/ trusty/main libstdc++6 amd64 4.9-20140406-1ubuntu1 [259 kB]
Get:5 http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu/ trusty/main libasan1 amd64 4.9-20140406-1ubuntu1 [194 kB]
Get:6 http://archive.ubuntu.com/ubuntu/ trusty/main libisl10 amd64 0.12.2-1 [419 kB]
Get:7 http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu/ trusty/main libatomic1 amd64 4.9-20140406-1ubuntu1 [8906 B]
Get:8 http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu/ trusty/main libcilkrts5 amd64 4.9-20140406-1ubuntu1 [39.9 kB]
Get:9 http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu/ trusty/main libgomp1 amd64 4.9-20140406-1ubuntu1 [36.2 kB]
Get:10 http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu/ trusty/main libitm1 amd64 4.9-20140406-1ubuntu1 [29.1 kB]
Get:11 http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu/ trusty/main liblsan0 amd64 4.9-20140406-1ubuntu1 [92.7 kB]
Get:12 http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu/ trusty/main libquadmath0 amd64 4.9-20140406-1ubuntu1 [129 kB]
Get:13 http://archive.ubuntu.com/ubuntu/ trusty/main libcloog-isl4 amd64 0.18.2-1 [57.5 kB]
Get:14 http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu/ trusty/main libtsan0 amd64 4.9-20140406-1ubuntu1 [211 kB]
Get:15 http://archive.ubuntu.com/ubuntu/ trusty/main libmpfr4 amd64 3.1.2-1 [203 kB]
Get:16 http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu/ trusty/main libubsan0 amd64 4.9-20140406-1ubuntu1 [82.5 kB]
Get:17 http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu/ trusty/main libvtv0 amd64 4.9-20140406-1ubuntu1 [2406 B]
Get:18 http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu/ trusty/main cpp-4.9 amd64 4.9-20140406-1ubuntu1 [4993 kB]
Get:19 http://archive.ubuntu.com/ubuntu/ trusty/main libmpc3 amd64 1.0.1-1ubuntu1 [38.4 kB]
Get:20 http://archive.ubuntu.com/ubuntu/ trusty/main manpages all 3.54-1ubuntu1 [627 kB]
Get:21 http://archive.ubuntu.com/ubuntu/ trusty/main binutils amd64 2.24-5ubuntu3 [2071 kB]                                                     
Get:22 http://archive.ubuntu.com/ubuntu/ trusty/main libc-dev-bin amd64 2.19-0ubuntu6 [69.0 kB]                                                 
Get:23 http://archive.ubuntu.com/ubuntu/ trusty-updates/main linux-libc-dev amd64 3.13.0-24.47 [780 kB]                                         
Get:24 http://archive.ubuntu.com/ubuntu/ trusty/main libc6-dev amd64 2.19-0ubuntu6 [1911 kB]                                                    
Get:25 http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu/ trusty/main libgcc-4.9-dev amd64 4.9-20140406-1ubuntu1 [2061 kB]                
Get:26 http://archive.ubuntu.com/ubuntu/ trusty/main manpages-dev all 3.54-1ubuntu1 [1820 kB]                                                   
Get:27 http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu/ trusty/main gcc-4.9 amd64 4.9-20140406-1ubuntu1 [5565 kB]                       
Get:28 http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu/ trusty/main libstdc++-4.9-dev amd64 4.9-20140406-1ubuntu1 [1116 kB]             
Get:29 http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu/ trusty/main g++-4.9 amd64 4.9-20140406-1ubuntu1 [8111 kB]                       
Fetched 31.2 MB in 41s (743 kB/s)                                                                                                               
(Reading database ... 12882 files and directories currently installed.)
Preparing to unpack .../gcc-4.9-base_4.9-20140406-1ubuntu1_amd64.deb ...
Unpacking gcc-4.9-base:amd64 (4.9-20140406-1ubuntu1) over (4.9-20140406-0ubuntu1) ...
Setting up gcc-4.9-base:amd64 (4.9-20140406-1ubuntu1) ...
(Reading database ... 12882 files and directories currently installed.)
Preparing to unpack .../libgcc1_1%3a4.9-20140406-1ubuntu1_amd64.deb ...
Unpacking libgcc1:amd64 (1:4.9-20140406-1ubuntu1) over (1:4.9-20140406-0ubuntu1) ...
Setting up libgcc1:amd64 (1:4.9-20140406-1ubuntu1) ...
Processing triggers for libc-bin (2.19-0ubuntu6) ...
(Reading database ... 12882 files and directories currently installed.)
Preparing to unpack .../libstdc++6_4.9-20140406-1ubuntu1_amd64.deb ...
Unpacking libstdc++6:amd64 (4.9-20140406-1ubuntu1) over (4.8.2-19ubuntu1) ...
Setting up libstdc++6:amd64 (4.9-20140406-1ubuntu1) ...
Processing triggers for libc-bin (2.19-0ubuntu6) ...
Selecting previously unselected package libasan1:amd64.
(Reading database ... 12882 files and directories currently installed.)
Preparing to unpack .../libasan1_4.9-20140406-1ubuntu1_amd64.deb ...
Unpacking libasan1:amd64 (4.9-20140406-1ubuntu1) ...
Selecting previously unselected package libatomic1:amd64.
Preparing to unpack .../libatomic1_4.9-20140406-1ubuntu1_amd64.deb ...
Unpacking libatomic1:amd64 (4.9-20140406-1ubuntu1) ...
Selecting previously unselected package libcilkrts5:amd64.
Preparing to unpack .../libcilkrts5_4.9-20140406-1ubuntu1_amd64.deb ...
Unpacking libcilkrts5:amd64 (4.9-20140406-1ubuntu1) ...
Selecting previously unselected package libgmp10:amd64.
Preparing to unpack .../libgmp10_2%3a5.1.3+dfsg-1ubuntu1_amd64.deb ...
Unpacking libgmp10:amd64 (2:5.1.3+dfsg-1ubuntu1) ...
Selecting previously unselected package libisl10:amd64.
Preparing to unpack .../libisl10_0.12.2-1_amd64.deb ...
Unpacking libisl10:amd64 (0.12.2-1) ...
Selecting previously unselected package libcloog-isl4:amd64.
Preparing to unpack .../libcloog-isl4_0.18.2-1_amd64.deb ...
Unpacking libcloog-isl4:amd64 (0.18.2-1) ...
Selecting previously unselected package libgomp1:amd64.
Preparing to unpack .../libgomp1_4.9-20140406-1ubuntu1_amd64.deb ...
Unpacking libgomp1:amd64 (4.9-20140406-1ubuntu1) ...
Selecting previously unselected package libitm1:amd64.
Preparing to unpack .../libitm1_4.9-20140406-1ubuntu1_amd64.deb ...
Unpacking libitm1:amd64 (4.9-20140406-1ubuntu1) ...
Selecting previously unselected package liblsan0:amd64.
Preparing to unpack .../liblsan0_4.9-20140406-1ubuntu1_amd64.deb ...
Unpacking liblsan0:amd64 (4.9-20140406-1ubuntu1) ...
Selecting previously unselected package libmpfr4:amd64.
Preparing to unpack .../libmpfr4_3.1.2-1_amd64.deb ...
Unpacking libmpfr4:amd64 (3.1.2-1) ...
Selecting previously unselected package libquadmath0:amd64.
Preparing to unpack .../libquadmath0_4.9-20140406-1ubuntu1_amd64.deb ...
Unpacking libquadmath0:amd64 (4.9-20140406-1ubuntu1) ...
Selecting previously unselected package libtsan0:amd64.
Preparing to unpack .../libtsan0_4.9-20140406-1ubuntu1_amd64.deb ...
Unpacking libtsan0:amd64 (4.9-20140406-1ubuntu1) ...
Selecting previously unselected package libubsan0:amd64.
Preparing to unpack .../libubsan0_4.9-20140406-1ubuntu1_amd64.deb ...
Unpacking libubsan0:amd64 (4.9-20140406-1ubuntu1) ...
Selecting previously unselected package libvtv0:amd64.
Preparing to unpack .../libvtv0_4.9-20140406-1ubuntu1_amd64.deb ...
Unpacking libvtv0:amd64 (4.9-20140406-1ubuntu1) ...
Selecting previously unselected package libmpc3:amd64.
Preparing to unpack .../libmpc3_1.0.1-1ubuntu1_amd64.deb ...
Unpacking libmpc3:amd64 (1.0.1-1ubuntu1) ...
Selecting previously unselected package manpages.
Preparing to unpack .../manpages_3.54-1ubuntu1_all.deb ...
Unpacking manpages (3.54-1ubuntu1) ...
Selecting previously unselected package binutils.
Preparing to unpack .../binutils_2.24-5ubuntu3_amd64.deb ...
Unpacking binutils (2.24-5ubuntu3) ...
Selecting previously unselected package cpp-4.9.
Preparing to unpack .../cpp-4.9_4.9-20140406-1ubuntu1_amd64.deb ...
Unpacking cpp-4.9 (4.9-20140406-1ubuntu1) ...
Selecting previously unselected package libgcc-4.9-dev:amd64.
Preparing to unpack .../libgcc-4.9-dev_4.9-20140406-1ubuntu1_amd64.deb ...
Unpacking libgcc-4.9-dev:amd64 (4.9-20140406-1ubuntu1) ...
Selecting previously unselected package gcc-4.9.
Preparing to unpack .../gcc-4.9_4.9-20140406-1ubuntu1_amd64.deb ...
Unpacking gcc-4.9 (4.9-20140406-1ubuntu1) ...
Selecting previously unselected package libc-dev-bin.
Preparing to unpack .../libc-dev-bin_2.19-0ubuntu6_amd64.deb ...
Unpacking libc-dev-bin (2.19-0ubuntu6) ...
Selecting previously unselected package linux-libc-dev:amd64.
Preparing to unpack .../linux-libc-dev_3.13.0-24.47_amd64.deb ...
Unpacking linux-libc-dev:amd64 (3.13.0-24.47) ...
Selecting previously unselected package libc6-dev:amd64.
Preparing to unpack .../libc6-dev_2.19-0ubuntu6_amd64.deb ...
Unpacking libc6-dev:amd64 (2.19-0ubuntu6) ...
Selecting previously unselected package libstdc++-4.9-dev:amd64.
Preparing to unpack .../libstdc++-4.9-dev_4.9-20140406-1ubuntu1_amd64.deb ...
Unpacking libstdc++-4.9-dev:amd64 (4.9-20140406-1ubuntu1) ...
Selecting previously unselected package g++-4.9.
Preparing to unpack .../g++-4.9_4.9-20140406-1ubuntu1_amd64.deb ...
Unpacking g++-4.9 (4.9-20140406-1ubuntu1) ...
Selecting previously unselected package manpages-dev.
Preparing to unpack .../manpages-dev_3.54-1ubuntu1_all.deb ...
Unpacking manpages-dev (3.54-1ubuntu1) ...
Setting up libasan1:amd64 (4.9-20140406-1ubuntu1) ...
Setting up libatomic1:amd64 (4.9-20140406-1ubuntu1) ...
Setting up libcilkrts5:amd64 (4.9-20140406-1ubuntu1) ...
Setting up libgmp10:amd64 (2:5.1.3+dfsg-1ubuntu1) ...
Setting up libisl10:amd64 (0.12.2-1) ...
Setting up libcloog-isl4:amd64 (0.18.2-1) ...
Setting up libgomp1:amd64 (4.9-20140406-1ubuntu1) ...
Setting up libitm1:amd64 (4.9-20140406-1ubuntu1) ...
Setting up liblsan0:amd64 (4.9-20140406-1ubuntu1) ...
Setting up libmpfr4:amd64 (3.1.2-1) ...
Setting up libquadmath0:amd64 (4.9-20140406-1ubuntu1) ...
Setting up libtsan0:amd64 (4.9-20140406-1ubuntu1) ...
Setting up libubsan0:amd64 (4.9-20140406-1ubuntu1) ...
Setting up libvtv0:amd64 (4.9-20140406-1ubuntu1) ...
Setting up libmpc3:amd64 (1.0.1-1ubuntu1) ...
Setting up manpages (3.54-1ubuntu1) ...
Setting up binutils (2.24-5ubuntu3) ...
Setting up cpp-4.9 (4.9-20140406-1ubuntu1) ...
Setting up libgcc-4.9-dev:amd64 (4.9-20140406-1ubuntu1) ...
Setting up gcc-4.9 (4.9-20140406-1ubuntu1) ...
Setting up libc-dev-bin (2.19-0ubuntu6) ...
Setting up linux-libc-dev:amd64 (3.13.0-24.47) ...
Setting up libc6-dev:amd64 (2.19-0ubuntu6) ...
Setting up libstdc++-4.9-dev:amd64 (4.9-20140406-1ubuntu1) ...
Setting up g++-4.9 (4.9-20140406-1ubuntu1) ...
Setting up manpages-dev (3.54-1ubuntu1) ...
Processing triggers for libc-bin (2.19-0ubuntu6) ...
root@856b6aa801af:/#
root@856b6aa801af:/#
root@856b6aa801af:/#
root@856b6aa801af:/#
root@856b6aa801af:/# g++-4.9 --version
g++-4.9 (Ubuntu 4.9-20140406-1ubuntu1) 4.9.0 20140405 (experimental) [trunk revision 209157]
Copyright (C) 2014 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

root@856b6aa801af:/#
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.